org.springframework.batch.core.launch.support

## Class SimpleJvmExitCodeMapper

- java.lang.Object
- - org.springframework.batch.core.launch.support.SimpleJvmExitCodeMapper

- All Implemented Interfaces:
    ExitCodeMapper

      public class SimpleJvmExitCodeMapper
      extends java.lang.Object
      implements ExitCodeMapper

  An implementation of `ExitCodeMapper` that can be configured through a map from batch exit codes (String) to integer results. Some default entries are set up to recognise common cases. Any that are injected are added to these.
  Author:
    Stijn Maller, Lucas Ward, Dave Syer

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected org.apache.commons.logging.Log` | `logger`

    - ### Fields inherited from interface org.springframework.batch.core.launch.support.ExitCodeMapper

      `JOB_NOT_PROVIDED, JVM_EXITCODE_COMPLETED, JVM_EXITCODE_GENERIC_ERROR, JVM_EXITCODE_JOB_ERROR, NO_SUCH_JOB`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `SimpleJvmExitCodeMapper()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.util.Map<java.lang.String,java.lang.Integer>` | `getMapping()`
    `int` | `intValue(java.lang.String exitCode)` Get the operating system exit status that matches a certain Batch Framework exit code
    `void` | `setMapping(java.util.Map<java.lang.String,java.lang.Integer> exitCodeMap)` Supply the ExitCodeMappings

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### logger

          protected org.apache.commons.logging.Log logger

  - ### Constructor Detail

    - #### SimpleJvmExitCodeMapper

          public SimpleJvmExitCodeMapper()

  - ### Method Detail

    - #### getMapping

          public java.util.Map<java.lang.String,java.lang.Integer> getMapping()

    - #### setMapping

          public void setMapping(java.util.Map<java.lang.String,java.lang.Integer> exitCodeMap)

      Supply the ExitCodeMappings
      Parameters:
        `exitCodeMap` - A set of mappings between environment specific exit codes and batch framework internal exit codes

    - #### intValue

          public int intValue(java.lang.String exitCode)

      Get the operating system exit status that matches a certain Batch Framework exit code
      Specified by:
        `intValue` in interface `ExitCodeMapper`
      Parameters:
        `exitCode` - The exit code of the Batch Job as known by the Batch Framework
      Returns:
        The exitCode of the Batch Job as known by the JVM